/*#region #feature*/
@-webkit-keyframes sonarEffect {
    0% {
        opacity: 0.3;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=30)";
    }

    40% {
        opacity: 0.5;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
        -webkit-box-shadow: 0 0 0 2px rgba(236, 85, 152, 0.1),
            0 0 10px 10px transparent, 0 0 0 10px rgba(236, 85, 152, 0.5);
        box-shadow: 0 0 0 2px rgba(236, 85, 152, 0.1), 0 0 10px 10px transparent,
            0 0 0 10px rgba(236, 85, 152, 0.5);
    }

    100% {
        -webkit-box-shadow: 0 0 0 2px rgba(236, 85, 152, 0.1),
            0 0 10px 10px transparent, 0 0 0 10px rgba(236, 85, 152, 0.5);
        box-shadow: 0 0 0 2px rgba(236, 85, 152, 0.1), 0 0 10px 10px transparent,
            0 0 0 10px rgba(236, 85, 152, 0.5);
        -webkit-transform: scale(1.5);
        opacity: 0;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    }
}

@keyframes sonarEffect {
    0% {
        opacity: 0.3;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=30)";
    }

    40% {
        opacity: 0.5;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
        -webkit-box-shadow: 0 0 0 2px rgba(236, 85, 152, 0.1),
            0 0 10px 10px rgba(0, 0, 0, 0.3), 0 0 0 10px rgba(236, 85, 152, 0.5);
        box-shadow: 0 0 0 2px rgba(236, 85, 152, 0.1),
            0 0 10px 10px rgba(0, 0, 0, 0.3), 0 0 0 10px rgba(236, 85, 152, 0.5);
    }

    100% {
        -webkit-box-shadow: 0 0 0 2px rgba(236, 85, 152, 0.1),
            0 0 10px 10px rgba(0, 0, 0, 0.3), 0 0 0 10px rgba(236, 85, 152, 0.5);
        box-shadow: 0 0 0 2px rgba(236, 85, 152, 0.1),
            0 0 10px 10px rgba(0, 0, 0, 0.3), 0 0 0 10px rgba(236, 85, 152, 0.5);
        -webkit-transform: scale(1.5);
        -ms-transform: scale(1.5);
        transform: scale(1.5);
        opacity: 0;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    }
}

#feature {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;

    .item {
        text-align: center;

        .img-container {
            @include border($color: #675d56);
            @include animation();
            position: relative;
            width: 85px;
            height: 85px;
            background-color: rgba(255, 255, 255, 0.1);
            border-radius: 50%;
            text-align: center;
            margin: 0 auto;
            line-height: 85px;

            img {
                vertical-align: middle;
            }

            &:after {
                pointer-events: none;
                position: absolute;
                width: 100%;
                height: 100%;
                border-radius: 50%;
                content: "";
                box-sizing: content-box;
                top: 0;
                left: 0;
                z-index: -1;
                -webkit-box-shadow: 0 0 0 2px rgba(255, 255, 255, 0.1);
                box-shadow: 0 0 0 2px rgba(255, 255, 255, 0.1);
                opacity: 0;
                -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
                -webkit-transform: scale(0.9);
                -ms-transform: scale(0.9);
                transform: scale(0.9);
            }
        }

        .text-container {
            padding: 15px 15px 0 15px;

            .des {
                margin-top: 10px;
            }
        }

        &:hover {
            .img-container {
                -webkit-transform: scale(0.93);
                -ms-transform: scale(0.93);
                transform: scale(0.93);
                background-color: $primary-color;
                border-color: $primary-color;

                &:after {
                    -webkit-animation: sonarEffect 1.3s ease-out 75ms;
                    animation: sonarEffect 1.3s ease-out 75ms;
                }
            }
        }
    }
}

.feature-slider {
    background-color: $bg-lightgray;

    .text-container {
        float: left;
        max-width: 40%;

        >img {
            margin-top: 20%;
            height: 43px;
            width: 43px;
        }
    }

    .img-container {
        float: right;

        >img {
            float: left;
            margin-left: auto;
            // width: 100%;
            // height: 100%;
        }
    }

    .owl-theme {
        .owl-nav {
            .owl-next {
                background: $white;
                border: 1px solid $white;
                width: 50px;
                height: 50px;
                border-radius: 50%;
                color: $bg-lightblack;
                right: -15%;

                .i {
                    font-size: 20px;
                }

                .demo-icon {
                    &:before {
                        margin-top: 30%;
                    }
                }
            }

            .owl-prev {
                background: $white;
                border: 1px solid $white;
                width: 50px;
                height: 50px;
                border-radius: 50%;
                left: -15%;
                color: $bg-lightblack;

                .i {
                    font-size: 20px;
                    color: $bg-lightblack;
                }

                .demo-icon {
                    &:before {
                        margin-top: 30%;
                    }
                }
            }
        }
        .owl-dots {
          margin-top: 0;
          .owl-dot {
            span {
              @include animation();
              margin: 0 5px;
              border-radius: 0;
              height: 5px;
              width: 10px;
            }
            &:first-child span {
              margin-left: 0;
            }
            &:last-child span {
              margin-right: 0;
            }
            &.active,
            &:hover {
              span {
                background: $primary-color;
                width: 25px;
              }
            }
          }
        }
    }
}

/*#endregion*/

/*#region #sad*/
/*#endregion*/

@media screen and (min-width: 1920px) {}

@media screen and (min-width: 1200px) {}

@media screen and (max-width: 1280px) {}

@media screen and (max-width: 1024px) {

    /*#region #sad*/
    #feature {
        .col-4item {
            >* {
                width: calc((100% - 60px) / 4);
                margin-top: 20px;
                margin-right: 20px;

                &:nth-child(1),
                &:nth-child(2),
                &:nth-child(3),
                &:nth-child(4) {
                    margin-top: 0;
                }

                &:nth-child(4n) {
                    margin-right: 0;
                }
            }
        }
    }

    .feature-slider {
        .text-container {
            width: 40%;

            >img {
                margin-top: unset;
            }
        }

        .img-container {
            width: 60%;
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 980px) {}

@media screen and (max-width: 768px) {
    /*#region #sad*/

    /*#endregion*/
}

@media screen and (max-width: 650px) {}

@media screen and (max-width: 450px) {

    /*#region #sad*/
    #feature {
        .col-4item {
            >* {
                width: calc(50% - 10px);
                margin-right: 10px;
                margin-left: 0;
                margin-top: 20px;

                &:nth-child(3),
                &:nth-child(4) {
                    margin-top: 20px;
                }

                &:nth-child(3n),
                &:nth-child(4n) {
                    margin-left: 10px;
                    margin-right: 10px;
                }

                &:nth-child(2n + 1) {
                    margin-left: 0;
                    margin-right: 10px;
                }

                &:nth-child(2n) {
                    margin-left: 10px;
                    margin-right: 0;
                }
            }
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 375px) {}

@media screen and (max-width: 360px) {}

@media screen and (max-width: 320px) {}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}

/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active),
(-ms-high-contrast: none) {
    /*Code is here*/
}

/*#endregion*/